%global w1b0 w1b1 w1b2 w1a0 w1a1 w1a2 w1k w1a3;
global w2b0 w2b1 w2a0 w2a1 w2k;
global sysn2dofdk;
global b_kdk1 a_kdk1 b_kdk2 a_kdk2 b_kdk1fw;
global m0dk m1dk m2dk m3dk r0dk r1dk r2dk r3dk;
global asc bsc;

w2=nd2sys([w2b1 w2b0],[w2a1 w2a0],w2k); % multiplicative uncertainty weight

%w1=nd2sys([w1b1 w1b0],[w1a3 w1a2 w1a1 w1a0],w1k); % performance weight

Rdk=nd2sys([m3dk m2dk m1dk m0dk],[r3dk r2dk r1dk r0dk],1); % reference transfer function

gfc = nd2sys(b_kdk2,a_kdk2,1);
gfb = nd2sys(b_kdk1,a_kdk1,-1);
gff = nd2sys(b_kdk1fw,a_kdk1,1);

Gs=nd2sys(bsc,asc);

systemnames = ' gff gfb gfc Gs w2 Rdk ';
inputvar='[ ref{2}; pertin1 ]';
outputvar='[ Rdk + ref(2); Gs; gfc; w2 ]';
input_to_Gs = '[ gfc + pertin1 ]';
input_to_w2 = '[ gfc ]';
input_to_gff = '[ Rdk + ref(2) ]';
input_to_gfb = '[ Gs ]';
input_to_gfc = '[ gff + gfb ]';
input_to_Rdk = '[ ref(1) ]';
sysoutname = 'sysn2dofdk';
cleanupsysic = 'yes';
echo off;
sysic;