%global w1b0 w1b1 w1b2 w1a0 w1a1 w1a2 w1k w1a3;
global w2b0 w2b1 w2a0 w2a1 w2k;
global sysn2dof;
global pStore qStore qStore1 pStore1 qStore2 qStore1fw;
global m0 m1 m2 m3 r0 r1 r2 r3;
global asc bsc;

w2=nd2sys([w2b1 w2b0],[w2a1 w2a0],w2k); % multiplicative uncertainty weight

%w1=nd2sys([w1b1 w1b0],[w1a3 w1a2 w1a1 w1a0],w1k); % performance weight

R=nd2sys([m3 m2 m1 m0],[r3 r2 r1 r0],1); % reference transfer function

gfc = nd2sys(qStore2,pStore2,1);
gfb = nd2sys(qStore1,pStore1,-1);
gff = nd2sys(qStore1fw,pStore1,1);

Gs=nd2sys(bsc,asc);

systemnames = ' gff gfb gfc Gs w2 R ';
inputvar='[ ref{2}; pertin1 ]';
outputvar='[ R + ref(2); Gs; gfc; w2 ]';
input_to_Gs = '[ gfc + pertin1 ]';
input_to_w2 = '[ gfc ]';
input_to_gff = '[ R + ref(2) ]';
input_to_gfb = '[ Gs ]';
input_to_gfc = '[ gff + gfb ]';
input_to_R = '[ ref(1) ]';
sysoutname = 'sysn2dof';
cleanupsysic = 'yes';
echo off;
sysic;