%global w1b0 w1b1 w1b2 w1a0 w1a1 w1a2 w1k w1a3;
global w2b0 w2b1 w2a0 w2a1 w2k;
global pp_ic;
global m0 m1 m2 m3 r0 r1 r2 r3;
global m0dk m1dk m2dk m3dk r0dk r1dk r2dk r3dk;
global asc bsc;

w2=nd2sys([w2b1 w2b0],[w2a1 w2a0],w2k); % multiplicative uncertainty weight

%w1=nd2sys([w1b1 w1b0],[w1a3 w1a2 w1a1 w1a0],w1k); % performance weight

Rdk=nd2sys([m3dk m2dk m1dk m0dk],[r3dk r2dk r1dk r0dk],1); % reference transfer function

Gs=nd2sys(bsc,asc);

systemnames = ' Gs w2 Rdk ';
inputvar='[ ref{2}; pertin1; control ]';
outputvar='[ Rdk + ref(2); Gs; control; w2; Gs - Rdk - ref(2) ]';
input_to_Gs = '[ control + pertin1 ]';
input_to_w2 = '[ control ]';
input_to_Rdk = '[ ref(1) ]';
sysoutname = 'pp_ic';
cleanupsysic = 'yes';
echo off;
sysic;