function [Q,P_F] = getrx1(x)

global deg_p deg_q;
global anninv;
global f deg_f;
global b0 a0;
global deg_x deg_a deg_b deg_t;
global adgcd bdgcd;

if deg_t>=0
    x1=x(1:deg_x-deg_t*2-1);
else
    x1=x;
end

if deg_a == 0 && deg_f == 0
    P_F=[1];
    Q=[(x1(1)-a0)/b0];
else
    datmp=poly(-x1);
    pqout=anninv*datmp';
    P=pqout(1:deg_p+1)';
    Q=pqout(deg_p+2:deg_p+deg_q+2)';

    P_F=conv(P,f);
    P_F=P_F(max(size(P_F))-deg(P_F)+1:max(size(P_F)));
end

if deg_t>=0
    t=conv(x(deg_x-deg_t:deg_x),f);
    ta=conv(adgcd,t);
    tb=conv(bdgcd,t);
    if deg_a ~= 0
        ta=conv(ta,poly(-x(deg_a+deg_f+1:deg_x-deg_t*2-1)));
        tb=conv(tb,poly(-x(deg_a+deg_f+1:deg_x-deg_t*2-1)));
        qx=conv(Q,poly(-x(1:deg_a)));
        px=conv(P_F,poly(-x(1:deg_a)));
    else
        qx=Q;
        px=P_F;
    end
    if deg_t>=1
        qx=conv(qx,poly(-x(deg_x-deg_t*2:deg_x-deg_t-1)));
        px=conv(px,poly(-x(deg_x-deg_t*2:deg_x-deg_t-1)));
    end
    Q=sp(qx,-ta);
    P_F=sp(px,tb);
    Q=Q(max(size(Q))-deg(Q)+1:max(size(Q)));
    P_F=P_F(max(size(P_F))-deg(P_F)+1:max(size(P_F)));
end