global aaminomega;
global aamaxomega;
global aanpmu;
global dkminomega;
global dkmaxomega;
global dknpmu;
global pStore qStore;
global Gp_ic;
global G_ic;
global sysn2dof;
global dk1 dk2 dk1p dk2p aa1 aa2 aa1p aa2p;
global noaa nodk
global aarsv1 aadsv1 aarst1 aadst1;
global aarsv2 aadsv2 aarst2 aadst2;
global dkrsv1 dkdsv1 dkrst1 dkdst1;
global dkrsv2 dkdsv2 dkrst2 dkdst2;
global aat1 aat2 dkt1 dkt2;
global b_kdk a_kdk a_kdk0;

warning off;

blk=[1 1; 1 1];

%BLK_DK = [2 2;4 2];

first=0;
if aa1p==1 && noaa~=1
get_kp_td;
GetSysTdaa;
p=pStore;
q=qStore;
%om = logspace(-3,3,60);
omega1 = logspace(aaminomega,aamaxomega,aanpmu);

% mkppic;
GetSysTdaanom;
gfb=nd2sys(q,p,-1);
sysn = starp( pp_ic, gfb, 1, 1 );
clp = starp( Gp_ic, gfb, 1, 1 );
%sysn = clp;
clpg = frsp( clp, omega1 );
[ bnds, rowd, sens, rowp ] = mu( clpg, blk );
[pk,iv,index] = pkvnorm(sel(bnds,1,1),rowp);
worstp = rowp(index,:);
worstp2 = diag( worstp(1:1), 0 );
sys_cl_ref = starp( sysn, worstp2, 1, 1 );
%y = trsp( sys_cl_ref, [aarsv2 aarsv2+aadsv2;0 aadst2], aat1, .01 );
if aarst1<aadst1
    step1 = vpck( [aarsv1; aarsv1], [aarst1; aadst1] );
    step2 = vpck( [0; aadsv1], [aarst1; aadst1] );
else
    step1 = vpck( [0; aarsv1], [ aadst1; aarst1] );
    step2 = vpck( [aadsv1; aadsv1], [aadst1;aarst1] );
end
steps = abv(step1,step2);
y = trsp( sys_cl_ref, steps, aat1, aat1/10000 );
%vplot(sel(y,1 ,1),'w-',sel(y,1,2),'w-.')
[ stepy1, yy1, c1, xx1 ] = trunpck( y );
%vplot( abs(y( 1:dimyrow, 1 )), 'w-', y( 1:dimyrow, 2 ), 'w-' )
%vplot( y1, y2 )

leg1 = 'Output - alg. approach pert. plant 1DOF';
legc1 = 'Control signal - alg. approach pert. plant 1DOF';
legs1 = 'Ref. signal - alg. approach pert. plant 1DOF';

first = first + 1;
end

if aa1==1 && noaa~=1
get_kp_td;
p=pStore;
q=qStore;
% mkppic;
GetSysTdaanom;
gfb=nd2sys(q,p,-1);
sysn = starp( pp_ic, gfb, 1, 1 );
worstp2 = zeros(1,1);
sys_cl_ref = starp( sysn, worstp2, 1, 1 );
%y = trsp( sys_cl_ref, [aarsv2 aarsv2+aadsv2;0 aadst2], aat1, .01 );
if aarst1<aadst1
    step1 = vpck( [aarsv1; aarsv1], [aarst1; aadst1] );
    step2 = vpck( [0; aadsv1], [aarst1; aadst1] );
else
    step1 = vpck( [0; aarsv1], [aadst1; aarst1] );
    step2 = vpck( [aadsv1; aadsv1], [aadst1;aarst1] );
end
steps = abv(step1,step2);
if first==0
  leg1 = 'Output - alg. approach nom. plant 1DOF';
  legc1 = 'Control signal - alg. approach nom. plant 1DOF';
  legs1 = 'Ref. signal - alg. approach nom. plant 1DOF';
else
  leg2 = 'Output - alg. approach nom. plant 1DOF';
  legc2 = 'Control signal - alg. approach nom. plant 1DOF';
  legs2 = 'Ref. signal - alg. approach nom. plant 1DOF';
end
y = trsp( sys_cl_ref, steps, aat1, aat1/10000 );
%vplot(sel(y,1 ,1),'w-',sel(y,1,2),'w-.')
if first==0
    [ stepy1, yy1, c1, xx1 ] = trunpck( y );
else
    [ stepy2, yy2, c2, xx2 ] = trunpck( y );
end
%vplot( abs(y( 1:dimyrow, 1 )), 'w-', y( 1:dimyrow, 2 ), 'w-' )
%vplot( y1, y2 )

first = first + 1;
end

if aa2p==1 && noaa~=1
get_kp_td;
GetSysTdaa;
GetSysTdaanom2DOF;
p=pStore;
q=qStore;
%om = logspace(-3,3,60);
omega1 = logspace(aaminomega,aamaxomega,aanpmu);

% mkppic;
gfb=nd2sys(q,p,-1);
clp = starp( Gp_ic, gfb, 1, 1 );
%sysn = clp;
clpg = frsp( clp, omega1 );
[ bnds, rowd, sens, rowp ] = mu( clpg, blk );
[pk,iv,index] = pkvnorm(sel(bnds,1,1),rowp);
worstp = rowp(index,:);
worstp2 = diag( worstp(1:1), 0 );
sys_cl_ref = starp( sysn2dof, worstp2, 1, 1 );
%y = trsp( sys_cl_ref, [aarsv2 aarsv2+aadsv2;0 aadst2], aat2, .01 );
if aarst2<aadst2
    step1 = vpck( [aarsv2; aarsv2], [aarst2; aadst2] );
    step2 = vpck( [0; aadsv2], [aarst2; aadst2] );
else
    step1 = vpck( [0; aarsv2], [aadst2; aarst2] );
    step2 = vpck( [aadsv2; aadsv2], [aadst2; aarst2] );
end
steps = abv(step1,step2);
if first==0
  leg1 = 'Output - alg. approach pert. plant 2DOF';
  legc1 = 'Control signal - alg. approach pert. plant 2DOF';
  legs1 = 'Ref. signal - alg. approach pert. plant 2DOF';
else
  leg2 = 'Output - alg. approach pert. plant 2DOF';
  legc2 = 'Control signal - alg. approach pert. plant 2DOF';
  legs2 = 'Ref. signal - alg. approach pert. plant 2DOF';
end
y = trsp( sys_cl_ref, steps, aat2, aat2/10000 );
%vplot(sel(y,1 ,1),'w-',sel(y,1,2),'w-.')
if first==0
    [ stepy1, yy1, c1, xx1 ] = trunpck( y );
else
    [ stepy2, yy2, c2, xx2 ] = trunpck( y );
end
%vplot( abs(y( 1:dimyrow, 1 )), 'w-', y( 1:dimyrow, 2 ), 'w-' )
%vplot( y1, y2 )

first = first + 1;

end

if aa2==1  && noaa~=1
get_kp_td;
GetSysTdaanom2DOF;
% mkppic;
worstp2 = zeros(1,1);
sys_cl_ref = starp( sysn2dof, worstp2, 1, 1 );
%y = trsp( sys_cl_ref, [aarsv2 aarsv2+aadsv2;0 aadst2], aat2, .01 );
if aarst2<aadst2
    step1 = vpck( [aarsv2; aarsv2], [aarst2; aadst2] );
    step2 = vpck( [0; aadsv2], [aarst2; aadst2] );
else
    step1 = vpck( [0; aarsv2], [ aadst2; aarst2] );
    step2 = vpck( [aadsv2; aadsv2], [aadst2; aarst2] );
end
steps = abv(step1,step2);
if first==0
  leg1 = 'Output - alg. approach nom. plant 2DOF';
  legc1 = 'Control signal - alg. approach nom. plant 2DOF';
  legs1 = 'Ref. signal - alg. approach nom. plant 2DOF';
else
  leg2 = 'Output - alg. approach nom. plant 2DOF';
  legc2 = 'Control signal - alg. approach nom. plant 2DOF';
  legs2 = 'Ref. signal - alg. approach nom. plant 2DOF';
end
y = trsp( sys_cl_ref, steps, aat2, aat2/10000 );
%vplot(sel(y,1 ,1),'w-',sel(y,1,2),'w-.')
if first==0
    [ stepy1, yy1, c1, xx1 ] = trunpck( y );
else
    [ stepy2, yy2, c2, xx2 ] = trunpck( y );
end
%vplot( abs(y( 1:dimyrow, 1 )), 'w-', y( 1:dimyrow, 2 ), 'w-' )
%vplot( y1, y2 )

first = first + 1;

end

if dk1p==1 && nodk~=1
GetSysTdDK
Getkdkdp;
GetSysTddknom;
omega1 = logspace(dkminomega,dkmaxomega,dknpmu);
k_dkapprox=nd2sys(b_kdk,a_kdk,1);
sysn = starp( pp_ic, k_dkapprox, 1, 1 );
%sysn = starp( pp_ic, k_dk, 1, 1 );
[A,B,C,D] = tf2ss(b_kdk,a_kdk0);
gfb = pck(A,B,C,D);
clp = starp( G_ic, gfb, 1, 1 );
clpg = frsp( clp, omega1 );
[ bnds, rowd, sens, rowp ] = mu( clpg, blk );
[pk,iv,index] = pkvnorm(sel(bnds,1,1),rowp);
worstp = rowp(index,:);
worstp2 = diag( worstp(1:1), 0 );
sys_cl_ref = starp( sysn, worstp2, 1, 1 );
%y = trsp( sys_cl_ref, [1 1+aadsv2;0 aadst2], aat2, .01 );
if dkrst1<dkdst1
    step1 = vpck( [dkrsv1; dkrsv1], [dkrst1; dkdst1] );
    step2 = vpck( [0; dkdsv1], [dkrst1; dkdst1] );
else
    step1 = vpck( [0; dkrsv1], [ dkdst1; dkrst1] );
    step2 = vpck( [dkdsv1; dkdsv1], [dkdst1; dkrst1] );
end
steps = abv(step1,step2);
if first==0
  leg1 = 'Output - D-K iteration pert. plant 1DOF';
  legc1 = 'Control signal - D-K iteration pert. plant 1DOF';
  legs1 = 'Ref. signal - D-K iteration pert. plant 1DOF';
else
  leg2 = 'Output - D-K iteration pert. plant 1DOF';
  legc2 = 'Control signal - D-K iteration pert. plant 1DOF';
  legs2 = 'Ref. signal - D-K iteration pert. plant 1DOF';
end
y = trsp( sys_cl_ref, steps, dkt1, dkt1/10000 );
%vplot(sel(y,1 ,1),'w-',sel(y,1,2),'w-.')
if first==0
    [ stepy1, yy1, c1, xx1 ] = trunpck( y );
else
    [ stepy2, yy2, c2, xx2 ] = trunpck( y );
end
first = first + 1;
end

if dk1==1 && nodk~=1
GetSysTddknom;
k_dkapprox=nd2sys(b_kdk,a_kdk,1);
sysn = starp( pp_ic, k_dkapprox, 1, 1 );
%sysn = starp( pp_ic, k_dk, 1, 1 );
worstp2 = zeros(1,1);
sys_cl_ref = starp( sysn, worstp2, 1, 1 );
%y = trsp( sys_cl_ref, [1 1+aadsv2;0 aadst2], aat2, .01 );
if dkrst1<dkdst1
    step1 = vpck( [dkrsv1; dkrsv1], [dkrst1; dkdst1] );
    step2 = vpck( [0; dkdsv1], [dkrst1; dkdst1] );
else
    step1 = vpck( [0; dkrsv1], [ dkdst1; dkrst1] );
    step2 = vpck( [dkdsv1; dkdsv1], [dkdst1; dkrst1] );
end
steps = abv(step1,step2);
if first==0
  leg1 = 'Output - D-K iteration nom. plant 1DOF';
  legc1 = 'Control signal - D-K iteration nom. plant 1DOF';
  legs1 = 'Ref. signal - D-K iteration nom. plant 1DOF';
else
  leg2 = 'Output - D-K iteration nom. plant 1DOF';
  legc2 = 'Control signal - D-K iteration nom. plant 1DOF';
  legs2 = 'Ref. signal - D-K iteration nom. plant 1DOF';
end
y = trsp( sys_cl_ref, steps, dkt1, dkt1/10000 );
%vplot(sel(y,1 ,1),'w-',sel(y,1,2),'w-.')
if first==0
    [ stepy1, yy1, c1, xx1 ] = trunpck( y );
else
    [ stepy2, yy2, c2, xx2 ] = trunpck( y );
end
first = first + 1;
end

if dk2p==1 && nodk~=1
GetSysTdDK
Getkdkdp;
GetSysTddknom2DOF;
[A,B,C,D] = tf2ss(b_kdk,a_kdk0);
gfb = pck(A,B,C,D);
omega1 = logspace(dkminomega,dkmaxomega,dknpmu);
clp = starp( G_ic, gfb, 1, 1 );
clpg = frsp( clp, omega1 );
[ bnds, rowd, sens, rowp ] = mu( clpg, blk );
[pk,iv,index] = pkvnorm(sel(bnds,1,1),rowp);
worstp = rowp(index,:);
worstp2 = diag( worstp(1:1), 0 );
sys_cl_ref = starp( sysn2dofdk, worstp2, 1, 1 );
%y = trsp( sys_cl_ref, [1 1+aadsv2;0 aadst2], aat2, .01 );
if dkrst2<dkdst2
    step1 = vpck( [dkrsv2; dkrsv2], [dkrst2; dkdst2] );
    step2 = vpck( [0; dkdsv2], [dkrst2; dkdst2] );
else
    step1 = vpck( [0; dkrsv2], [dkdst2; dkrst2] );
    step2 = vpck( [dkdsv2; dkdsv2], [dkdst2; dkrst2] );
end
steps = abv(step1,step2);
if first==0
  leg1 = 'Output - D-K iteration pert. plant 2DOF';
  legc1 = 'Control signal - D-K iteration pert. plant 2DOF';
  legs1 = 'Ref. signal - D-K iteration pert. plant 2DOF';
else
  leg2 = 'Output - D-K iteration pert. plant 2DOF';
  legc2 = 'Control signal - D-K iteration pert. plant 2DOF';
  legs2 = 'Ref. signal - D-K iteration pert. plant 2DOF';
end
y = trsp( sys_cl_ref, steps, dkt2, dkt2/10000 );
%vplot(sel(y,1 ,1),'w-',sel(y,1,2),'w-.')
if first==0
    [ stepy1, yy1, c1, xx1 ] = trunpck( y );
else
    [ stepy2, yy2, c2, xx2 ] = trunpck( y );
end
first = first + 1;
end

if dk2==1 && nodk~=1
Getkdkdp;
GetSysTddknom2DOF;
worstp2 = zeros(1,1);
sys_cl_ref = starp( sysn2dofdk, worstp2, 1, 1 );
%y = trsp( sys_cl_ref, [1 1+aadsv2;0 aadst2], aat2, .01 );
if dkrst2<dkdst2
    step1 = vpck( [dkrsv2; dkrsv2], [dkrst2; dkdst2] );
    step2 = vpck( [0; dkdsv2], [dkrst2; dkdst2] );
else
    step1 = vpck( [0; dkrsv2], [dkdst2; dkrst2] );
    step2 = vpck( [dkdsv2; dkdsv2], [dkdst2; dkrst2] );
end
steps = abv(step1,step2);
if first==0
  leg1 = 'Output - D-K iteration nom. plant 2DOF';
  legc1 = 'Control signal - D-K iteration nom. plant 2DOF';
  legs1 = 'Ref. signal - D-K iteration nom. plant 2DOF';
else
  leg2 = 'Output - D-K iteration nom. plant 2DOF';
  legc2 = 'Control signal - D-K iteration nom. plant 2DOF';
  legs2 = 'Ref. signal - D-K iteration nom. plant 2DOF';
end
y = trsp( sys_cl_ref, steps, dkt2, dkt2/10000 );
%vplot(sel(y,1 ,1),'w-',sel(y,1,2),'w-.')
if first==0
    [ stepy1, yy1, c1, xx1 ] = trunpck( y );
else
    [ stepy2, yy2, c2, xx2 ] = trunpck( y );
end
first = first + 1;
end

figure;
if first == 1
  plot( xx1, yy1, 'k--', xx1, c1, 'k:', xx1, stepy1, 'k-');
  legend(leg1, legc1, legs1);
end
if first > 1
  plot( xx1, yy1, 'k-', xx1, c1, 'k-', xx2, yy2, 'k--', xx2, c2, 'k--', xx1, stepy1, 'k-', xx2, stepy2, 'k--');
  legend(leg1, legc1, leg2, legc2, legs1, legs2);
end
title('Closed loop time response for perturbed system')
xlabel('Time')
%legend('output');
%set(gca,'color','none','XColor','black','YColor','black')
%h = legend('vystup 1','vystup 2','vstup 1','vstup 2');
%strukt=get(h,'userdata');
%d=get(strukt.LegendHandle,'child');
%set(d(9),'color','black')
%set(strukt.LegendHandle,'XColor','black','YColor','black','color','none')